Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenDomainAttributeTarget

All Superinterfaces:
  EObject, GenAuditable, GenRuleTarget, Notifier

All Known Implementing Classes:
  GenDomainAttributeTargetImpl

public interface GenDomainAttributeTarget
extends GenAuditable

A representation of the model object 'Gen Domain Attribute Target'. Represents value based target, useful for audit rules expression not capable of ecore meta-model access

The following features are supported:

- `Attribute`
- `Null As Error`

See Also:
  `GMFGenPackage.getGenDomainAttributeTarget()`
** Generated **
Model:

Method Summary
`GenFeature` `getAttribute()` Returns the value of the 'Attribute' reference
`boolean` `isNullAsError()` Returns the value of the 'Null As Error' attribute
`void` `setAttribute(GenFeature value)` Sets the value of the '`Attribute`' reference
`void` `setNullAsError(boolean value)` Sets the value of the '`Null As Error`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenAuditable
`getClientContextID, getTargetClass, getTargetClassModelQualifiedName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleTarget
`getContext`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAttribute

    public GenFeature getAttribute()

  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `GenDomainAttributeTarget.setAttribute(GenFeature)`, `GMFGenPackage.getGenDomainAttributeTarget_Attribute()`
  ** Generated **
  Model:
    required="true" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='attribute.ecoreFeature.oclIsKindOf(ecore::EAttribute)' description='EAttribute element required for auditable domain attribute'"

### setAttribute

    public void setAttribute(GenFeature value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `GenDomainAttributeTarget.getAttribute()`
  ** Generated **

### isNullAsError

    public boolean isNullAsError()

  Returns the value of the 'Null As Error' attribute. Indicates whether null value of the attribute is reported as audit failure or success

  Returns:
    the value of the 'Null As Error' attribute.
  See Also:
    `GenDomainAttributeTarget.setNullAsError(boolean)`, `GMFGenPackage.getGenDomainAttributeTarget_NullAsError()`
  ** Generated **
  Model:

### setNullAsError

    public void setNullAsError(boolean value)

  Sets the value of the '`Null As Error`' attribute.

  Parameters:
    `value` - the new value of the 'Null As Error' attribute.
  See Also:
    `GenDomainAttributeTarget.isNullAsError()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.